Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.mfwk.cib.sdk.statistics
Class CIBApplicationPerfStatsImpl

    java.lang.Object
      com.sun.mfwk.cib.sdk.statistics.CIBPerfStatsImpl
          com.sun.mfwk.cib.sdk.statistics.CIBApplicationPerfStatsImpl

All Implemented Interfaces:
  CIBApplicationPerfStats, CIBPerfStats, CIBProvider, CIBStats, javax.management.j2ee.statistics.Stats

public class CIBApplicationPerfStatsImpl
extends CIBPerfStatsImpl
implements CIBApplicationPerfStats

Provides a default implementation of a CIBApplicationPerfStats provider for a CIBApplication. This implementation is fully based on the Java-ES MF Instrumentation SDK.

Field Summary

Fields inherited from interface com.sun.mfwk.cib.statistics.CIBStats
`CIBStatsVersion`

Constructor Summary
`CIBApplicationPerfStatsImpl()` Constructor
`CIBApplicationPerfStatsImpl(CIBServicePerfStats[] services)` Constructor

Method Summary
`void` | `addServicesPerfStats(CIBServicePerfStats[] services)` Set the services providers on the application providers
`void` | `destroy()` destroy the statistics and clean the statistics objects/values when needed, close all the communications.
`CIBStats` | `fromCompositeData(javax.management.openmbean.CompositeData data)` Returns a CIBStats object from a compsoite data object
`CIBValueStatistic` | `getAverageResidentTime()` Get the Average ResidentTime
`CIBValueStatistic` | `getAverageServiceTime()` Gets the Average ServiceTime
`CIBValueStatistic` | `getTotalFailedRequests()` Get the Total FailedRequests of the Application
`CIBValueStatistic` | `getTotalInRequests()` Gets the Total InRequests of the application
`CIBValueStatistic` | `getTotalOutRequests()` Gets the Total OutRequests
`void` | `init()` Initialize the statistics mechanism.
`javax.management.openmbean.CompositeData` | `toCompositeData()` toCompositeData

Methods inherited from class com.sun.mfwk.cib.sdk.statistics.CIBPerfStatsImpl
`getStatistic, getStatisticNames, getStatistics`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface javax.management.j2ee.statistics.Stats
`getStatistic, getStatisticNames, getStatistics`

Constructor Detail

### CIBApplicationPerfStatsImpl

    public CIBApplicationPerfStatsImpl(CIBServicePerfStats[] services)

  Constructor

Parameters:
  `services` - CIBServicePerfStats[]

### CIBApplicationPerfStatsImpl

    public CIBApplicationPerfStatsImpl()

  Constructor

Method Detail

### addServicesPerfStats

    public void addServicesPerfStats(CIBServicePerfStats[] services)

  Set the services providers on the application providers

  Parameters:
    `services` - CIBServicePerfStats[]

### getAverageResidentTime

    public CIBValueStatistic getAverageResidentTime()
                                             throws CIBIOException,
                                                    CIBAttributeNotFoundException

  Get the Average ResidentTime

  Returns:
    CIBValueStatistic
  Throws:
    `CIBIOException`
    `CIBAttributeNotFoundException`

### getAverageServiceTime

    public CIBValueStatistic getAverageServiceTime()
                                            throws CIBIOException,
                                                   CIBAttributeNotFoundException

  Gets the Average ServiceTime

  Returns:
    CIBValueStatistic
  Throws:
    `CIBIOException`
    `CIBAttributeNotFoundException`

### getTotalFailedRequests

    public CIBValueStatistic getTotalFailedRequests()
                                             throws CIBIOException,
                                                    CIBAttributeNotFoundException

  Get the Total FailedRequests of the Application

  Returns:
    CIBValueStatistic
  Throws:
    `CIBIOException`
    `CIBAttributeNotFoundException`

### getTotalInRequests

    public CIBValueStatistic getTotalInRequests()
                                         throws CIBIOException,
                                                CIBAttributeNotFoundException

  Gets the Total InRequests of the application

  Returns:
    CIBValueStatistic
  Throws:
    `CIBIOException`
    `CIBAttributeNotFoundException`

### getTotalOutRequests

    public CIBValueStatistic getTotalOutRequests()
                                          throws CIBIOException,
                                                 CIBAttributeNotFoundException

  Gets the Total OutRequests

  Returns:
    CIBValueStatistic
  Throws:
    `CIBIOException`
    `CIBAttributeNotFoundException`

### init

    public void init()
              throws CIBIOException,
                     CIBException

  Initialize the statistics mechanism. In particular, initialize the communication to the instrumentation layer.

  Specified by:
    `init` in interface `CIBProvider`
  Overrides:
    `init` in class `CIBPerfStatsImpl`
  Throws:
    `CIBIOException`
    `CIBException`

### destroy

    public void destroy()
                 throws CIBIOException,
                        CIBException

  destroy the statistics and clean the statistics objects/values when needed, close all the communications.

  Specified by:
    `destroy` in interface `CIBProvider`
  Overrides:
    `destroy` in class `CIBPerfStatsImpl`
  Throws:
    `CIBIOException`
    `CIBException`

### toCompositeData

    public javax.management.openmbean.CompositeData toCompositeData()
                                                             throws javax.management.openmbean.OpenDataException

  toCompositeData

  Specified by:
    `toCompositeData` in interface `CIBStats`
  Returns:
    CompositeData
  Throws:
    `javax.management.openmbean.OpenDataException`

### fromCompositeData

    public CIBStats fromCompositeData(javax.management.openmbean.CompositeData data)

  Returns a CIBStats object from a compsoite data object

  Specified by:
    `fromCompositeData` in interface `CIBStats`
  Parameters:
    `data` - CompositeData
  Returns:
    CIBStats

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD